petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpaceGetHeightSubspace

Get the subset of the primal space basis that is supported on a mesh point of a given height.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetHeightSubspace(PetscSpace sp, PetscInt height, PetscSpace *subsp)

If the space is not defined on mesh points of the given height (e.g. if the space is discontinuous and pointwise values are not defined on the element boundaries), or if the implementation of PetscSpace does not support extracting subspaces, then NULL is returned.

This does not increment the reference count on the returned space, and the user should not destroy it.

Not collective

### Input Parameters

| sp | - the PetscSpace object
| height | - the height of the mesh point for which the subspace is desired

### Output Parameter

subsp -the subspace

### See Also

PetscDualSpaceGetHeightSubspace(), PetscSpace

### Level

advanced

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceGetHeightSubspace_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceGetHeightSubspace_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages